unit uBizDetalleColoresPedidoCliente;

interface

uses
  uDADataTable, schPedidosClienteClient_Intf;

const
  BIZ_CLIENT_DETALLE_COLORES_Pedido_CLIENTE = 'Client.DetalleColoresPedido.Cliente';


type
  IBizDetalleColoresPedidoCliente = interface(IPedidosCliente_Detalle_Color)
  ['{113DFD59-6E81-42AE-BFCE-216C6E08D207}']
  end;

  TBizDetalleColoresPedidoCliente = class(TPedidosCliente_Detalle_ColorDataTableRules, IBizDetalleColoresPedidoCliente)
  protected
    procedure OnNewRecord(Sender: TDADataTable); override;
    procedure BeforeInsert(Sender: TDADataTable); override;
  end;

implementation

uses
  DB;

{ TBizDetalleColoresPedidoCliente }

procedure TBizDetalleColoresPedidoCliente.BeforeInsert(Sender: TDADataTable);
var
  AMasterTable : TDADataTable;
begin
  inherited;
  AMasterTable := DataTable.GetMasterDataTable;
  if Assigned(AMasterTable) and (AMasterTable.State = dsInsert) then
    AMasterTable.Post;
end;

procedure TBizDetalleColoresPedidoCliente.OnNewRecord(Sender: TDADataTable);
begin
  inherited;
end;

initialization
  RegisterDataTableRules(BIZ_CLIENT_DETALLE_COLORES_PEDIDO_CLIENTE, TBizDetalleColoresPedidoCliente);

end.
